<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.JspContext"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
// Get the JspContext that was created on the main edit page
final JspContext jspContext = (JspContext)request.getAttribute(JspContext.ATTRIBUTE_KEY);
final Extension extension = (Extension)request.getAttribute(JspContext.EXTENSION_KEY);

// The current item is found in the context. NOTE! Can be null if a new item
final User user = (User)jspContext.getCurrentItem();

// Get the DbControl and SessionControl used to handle the request (do not close!)
final DbControl dc = jspContext.getDbControl();
final SessionControl sc = dc.getSessionControl();
final String ID = sc.getId();

final boolean hasOtp = user != null && user.getExtended("otpSecretKey") != null;
final boolean requireOtp = hasOtp || (user != null && Boolean.TRUE.equals(user.getExtended("otpIsRequired")));

String HOME = jspContext.getHome(extension);
%>
<base:page type="include">
	<base:body>
		<div id="otp-data" class="datacontainer"
			data-home="<%=HOME%>"
		></div>
		<table class="fullcc"><tr><td>
			
			<div id="message">Enter a <b>One-time passcode</b> to display the QR code!</div>
			
			<div id="no-qrcode">
				<input type="text" class="required" name="otp" id="otp" maxlength="6" autocomplete="off"><br>
				<img src="<%=HOME%>/images/no-qrcode.png">
			</div>

			<img id="qrcode" src="" style="display:none;">

		</td></tr></table>
	</base:body>
</base:page>

